Bug 93178 - Unskip http/tests/security/contentSecurityPolicy tests on various ports.
Summary: Unskip http/tests/security/contentSecurityPolicy tests on various ports.
Status: RESOLVED DUPLICATE of bug 92956
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mike West
URL:
Keywords:
Depends on: 92649
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-04 00:38 PDT by Mike West
Modified: 2012-08-17 05:48 PDT (History)
7 users (show)

See Also:


Attachments
Patch (5.27 KB, patch)
2012-08-04 00:48 PDT, Mike West
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike West 2012-08-04 00:38:48 PDT
According to http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=http%2Ftests%2Fsecurity%2FcontentSecurityPolicy%2F these tests should be safe to unskip now that bug 92649 is fixed.
Comment 1 Mike West 2012-08-04 00:48:12 PDT
Created attachment 156524 [details]
Patch
Comment 2 Mike West 2012-08-04 00:51:36 PDT
CCing various folks whose skips I'm now unskipping. Would one of you mind taking a look at this patch?

Thanks!
Comment 3 Mike West 2012-08-04 01:31:25 PDT
Thanks Adam. Didn't expect you to be awake. ;)
Comment 4 WebKit Review Bot 2012-08-04 02:01:15 PDT
Comment on attachment 156524 [details]
Patch

Clearing flags on attachment: 156524

Committed r124696: <http://trac.webkit.org/changeset/124696>
Comment 5 WebKit Review Bot 2012-08-04 02:01:21 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Csaba Osztrogonác 2012-08-09 14:36:38 PDT
Reopen, because http/tests/security/contentSecurityPolicy/object-src-url-blocked.html still fails on Qt WK2 with the following error:

--- /home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/layout-test-results/http/tests/security/contentSecurityPolicy/object-src-url-blocked-expected.txt
+++ /home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/layout-test-results/http/tests/security/contentSecurityPolicy/object-src-url-blocked-actual.txt
@@ -1,3 +1 @@
-CONSOLE MESSAGE: Refused to load the object 'http://127.0.0.1:8000/plugins/resources/mock-plugin.pl' because it violates the following Content Security Policy directive: "object-src 'none'".
-
 This test passes if there is a console message saying the plugin was blocked.
Comment 7 Mike West 2012-08-17 05:48:35 PDT
(In reply to comment #6)
> Reopen, because http/tests/security/contentSecurityPolicy/object-src-url-blocked.html still fails on Qt WK2 with the following error:
> 
> --- /home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/layout-test-results/http/tests/security/contentSecurityPolicy/object-src-url-blocked-expected.txt
> +++ /home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/layout-test-results/http/tests/security/contentSecurityPolicy/object-src-url-blocked-actual.txt
> @@ -1,3 +1 @@
> -CONSOLE MESSAGE: Refused to load the object 'http://127.0.0.1:8000/plugins/resources/mock-plugin.pl' because it violates the following Content Security Policy directive: "object-src 'none'".
> -
>  This test passes if there is a console message saying the plugin was blocked.

I'll deal with this in bug 92956.

*** This bug has been marked as a duplicate of bug 92956 ***